Show / Hide Table of Contents

Class CreateBdsCertificateConfigurationDetails

The request body for generating BDS certificate configuration.

Inheritance
object
CreateBdsCertificateConfigurationDetails
Inherited Members
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.BdsService.Models
Assembly: OCI.DotNetSDK.Bds.dll
Syntax
public class CreateBdsCertificateConfigurationDetails

Properties

CertificateAuthorityId

Declaration
[JsonProperty(PropertyName = "certificateAuthorityId")]
public string CertificateAuthorityId { get; set; }
Property Value
Type Description
string

The OCID of the certificate authority which is associated with this certificate configuration.

CertificateType

Declaration
[Required(ErrorMessage = "CertificateType is required.")]
[JsonProperty(PropertyName = "certificateType")]
[JsonConverter(typeof(StringEnumConverter))]
public BdsCertificateConfiguration.TypeEnum? CertificateType { get; set; }
Property Value
Type Description
BdsCertificateConfiguration.TypeEnum?

The type of the BDS certificate configuration, also the type of the BDS certificates which will be generated by the BDS certificate configuration.

Remarks

Required

ClusterAdminPassword

Declaration
[JsonProperty(PropertyName = "clusterAdminPassword")]
public string ClusterAdminPassword { get; set; }
Property Value
Type Description
string

Base-64 encoded password for the cluster admin user.

CompartmentId

Declaration
[JsonProperty(PropertyName = "compartmentId")]
public string CompartmentId { get; set; }
Property Value
Type Description
string

The OCID of the compartment of the certificate authority connecting to this certificate configuration.

DisplayName

Declaration
[Required(ErrorMessage = "DisplayName is required.")]
[JsonProperty(PropertyName = "displayName")]
public string DisplayName { get; set; }
Property Value
Type Description
string

The display name of the BDS certificate configuration.

Remarks

Required

SecretId

Declaration
[JsonProperty(PropertyName = "secretId")]
public string SecretId { get; set; }
Property Value
Type Description
string

The secretId for the clusterAdminPassword.

In this article
Back to top